### Method

# Camel Transport send_to

since: 3.0

#### Declaration [src]

    void
    camel_transport_send_to (
      CamelTransport* transport,
      CamelMimeMessage* message,
      CamelAddress* from,
      CamelAddress* recipients,
      gint io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Sends the message asynchronously to the given recipients, regardless of the contents of `message`. If the message contains a “Bcc” header, the transport is responsible for stripping it.

When the operation is finished, `callback` will be called. You can then call `camel_transport_send_to_finish()` to get the result of the operation.

Available since: 3.0

This method completes asynchronously. Use `camel_transport_send_to_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`message`

  Type: `CamelMimeMessage`

  A `CamelMimeMessage` to send.

  The data is owned by the caller of the method.

`from`

  Type: `CamelAddress`

  A `CamelAddress` to send from.

  The data is owned by the caller of the method.

`recipients`

  Type: `CamelAddress`

  A `CamelAddress` containing all recipients.

  The data is owned by the caller of the method.

`io_priority`

  Type: `gint`

  The I/O priority of the request.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.